import { OnInit, EventEmitter } from '@angular/core';
import { NfcService } from '../../tap-scanner/tap-scanner-nfc/nfc-service.service';
import { ProtocolSelectedEvent } from '../../tap-scanner/api';
export declare class TapConnectNfcComponent implements OnInit {
    nfcService: NfcService;
    error?: Error;
    isLoadingDevice: boolean;
    isCordova: boolean;
    onProtocolSelected: EventEmitter<ProtocolSelectedEvent>;
    onError: EventEmitter<Error>;
    constructor(nfcService: NfcService);
    ngOnInit(): Promise<void>;
    ngOnDestroy(): void;
    _onError(error: Error): void;
    _onProtocolSelected(event: ProtocolSelectedEvent): Promise<void>;
}
